User

Get users associated with account

get

User Resource Fields

Field

id

actor

username

created_at


GET /v7/user

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
get
/v7/user

Get users associated with fleet

get

GET /v7/user__is_member_of__application

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
get
/v7/user__is_member_of__application

Create fleet membership

post

POST /v7/user__is_member_of__application

Request Body:

{
    "is_member_of_application": <ID>,
    "username": <USERNAME>,
    "application_membership_role": <ROLE ID>
}
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
objectOptional
post
/v7/user__is_member_of__application

Delete fleet membership

delete

DELETE /v7/user__is_member_of__application(is_member_of__application=<ID>,user=<USER ID>)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
IDanyRequired
USER IDanyRequired
delete
/v7/user__is_member_of__application(is_member_of__application={ID},user={USER ID})

Last updated

Was this helpful?